      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQCFBFV                                    **
      **                                                              **
      **  DESCRIPTION:    MQCFBF Structure -- PCF Byte String         **
      **                  Filter Parameter                            **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2022"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2022 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCFBF,    **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  06/06/22 18:18                                **
      ** Build Level:   p930-L220606                                  **
      ** Build Type:    Production                                    **
      ** Pointer Size:  32 Bit                                        **
      ** Source File:                                                 **
      ** CMQCFBFV                                                     **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQCFBF structure
       10  MQCFBF.
      ** Structure type
       15  MQCFBF-TYPE PIC S9(9) BINARY VALUE 15.
      ** Structure length
       15  MQCFBF-STRUCLENGTH PIC S9(9) BINARY VALUE 20.
      ** Parameter identifier
       15  MQCFBF-PARAMETER PIC S9(9) BINARY VALUE 0.
      ** Operator identifier
       15  MQCFBF-OPERATOR PIC S9(9) BINARY VALUE 0.
      ** Filter value length
       15  MQCFBF-FILTERVALUELENGTH PIC S9(9) BINARY VALUE 0.


      ******************************************************************
      **  End of CMQCFBFV                                             **
      ******************************************************************
