      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQRFH2V                                    **
      **                                                              **
      **  DESCRIPTION:    MQRFH2 Structure -- Rules and Formatting    **
      **                  Header 2                                    **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2022"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2022 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQRFH2,    **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  06/06/22 18:18                                **
      ** Build Level:   p930-L220606                                  **
      ** Build Type:    Production                                    **
      ** Pointer Size:  32 Bit                                        **
      ** Source File:                                                 **
      ** CMQRFH2V                                                     **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQRFH2 structure
       10  MQRFH.
      ** Structure identifier
       15  MQRFH-STRUCID PIC X(4) VALUE 'RFH '.
      ** Structure version number
       15  MQRFH-VERSION PIC S9(9) BINARY VALUE 2.
      ** Total length of MQRFH2 including all NameValueLength and
      ** NameValueData fields
       15  MQRFH-STRUCLENGTH PIC S9(9) BINARY VALUE 36.
      ** Numeric encoding of data that follows last NameValueData field
       15  MQRFH-ENCODING PIC S9(9) BINARY VALUE 546.
      ** Character set identifier of data that follows last
      ** NameValueData field
       15  MQRFH-CODEDCHARSETID PIC S9(9) BINARY VALUE -2.
      ** Format name of data that follows last NameValueData field
       15  MQRFH-FORMAT PIC X(8) VALUE SPACES.
      ** Flags
       15  MQRFH-FLAGS PIC S9(9) BINARY VALUE 0.
      ** Character set identifier of NameValueData
       15  MQRFH-NAMEVALUECCSID PIC S9(9) BINARY VALUE 1208.


      ******************************************************************
      **  End of CMQRFH2V                                             **
      ******************************************************************
