      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQCFSFV                                    **
      **                                                              **
      **  DESCRIPTION:    MQCFSF Structure -- PCF String Filter       **
      **                  Parameter                                   **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2022"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2022 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCFSF,    **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  06/06/22 18:18                                **
      ** Build Level:   p930-L220606                                  **
      ** Build Type:    Production                                    **
      ** Pointer Size:  64 Bit                                        **
      ** Source File:                                                 **
      ** CMQCFSFV                                                     **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQCFSF structure
       10  MQCFSF.
      ** Structure type
       15  MQCFSF-TYPE PIC S9(9) BINARY VALUE 14.
      ** Structure length
       15  MQCFSF-STRUCLENGTH PIC S9(9) BINARY VALUE 24.
      ** Parameter identifier
       15  MQCFSF-PARAMETER PIC S9(9) BINARY VALUE 0.
      ** Operator identifier
       15  MQCFSF-OPERATOR PIC S9(9) BINARY VALUE 0.
      ** Coded character set identifier
       15  MQCFSF-CODEDCHARSETID PIC S9(9) BINARY VALUE 0.
      ** Filter value length
       15  MQCFSF-FILTERVALUELENGTH PIC S9(9) BINARY VALUE 0.


      ******************************************************************
      **  End of CMQCFSFV                                             **
      ******************************************************************
