      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQTML                                      **
      **                                                              **
      **  DESCRIPTION:    MQTM Structure -- Trigger Message           **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2022"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2022 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQTM,      **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  06/06/22 18:18                                **
      ** Build Level:   p930-L220606                                  **
      ** Build Type:    Production                                    **
      ** Pointer Size:  64 Bit                                        **
      ** Source File:                                                 **
      ** CMQTML                                                       **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQTM structure
       10  MQTM.
      ** Structure identifier
       15  MQTM-STRUCID PIC X(4).
      ** Structure version number
       15  MQTM-VERSION PIC S9(9) BINARY.
      ** Name of triggered queue
       15  MQTM-QNAME PIC X(48).
      ** Name of process object
       15  MQTM-PROCESSNAME PIC X(48).
      ** Trigger data
       15  MQTM-TRIGGERDATA PIC X(64).
      ** Application type
       15  MQTM-APPLTYPE PIC S9(9) BINARY.
      ** Application identifier
       15  MQTM-APPLID PIC X(256).
      ** Environment data
       15  MQTM-ENVDATA PIC X(128).
      ** User data
       15  MQTM-USERDATA PIC X(128).
      ** Add padding to ensure that the structure ends on the correct
      ** boundary
       15  FILLER  PIC S9(9) BINARY VALUE 0.


      ******************************************************************
      **  End of CMQTML                                               **
      ******************************************************************
