      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQCBCV                                     **
      **                                                              **
      **  DESCRIPTION:    MQCBC Structure -- Callback Context         **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2022"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2022 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCBC,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  06/06/22 18:18                                **
      ** Build Level:   p930-L220606                                  **
      ** Build Type:    Production                                    **
      ** Pointer Size:  32 Bit                                        **
      ** Source File:                                                 **
      ** CMQCBCV                                                      **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQCBC structure
       10  MQCBC.
      ** Structure identifier
       15  MQCBC-STRUCID PIC X(4) VALUE 'CBC '.
      ** Structure version number
       15  MQCBC-VERSION PIC S9(9) BINARY VALUE 1.
      ** Why Function was called
       15  MQCBC-CALLTYPE PIC S9(9) BINARY VALUE 0.
      ** Object Handle
       15  MQCBC-HOBJ PIC S9(9) BINARY VALUE -1.
      ** Callback data passed to the function
       15  MQCBC-CALLBACKAREA POINTER VALUE NULL.
      ** MQCTL Data area passed to the function
       15  MQCBC-CONNECTIONAREA POINTER VALUE NULL.
      ** Completion Code
       15  MQCBC-COMPCODE PIC S9(9) BINARY VALUE 0.
      ** Reason Code
       15  MQCBC-REASON PIC S9(9) BINARY VALUE 0.
      ** Consumer State
       15  MQCBC-STATE PIC S9(9) BINARY VALUE 0.
      ** Message Data Length
       15  MQCBC-DATALENGTH PIC S9(9) BINARY VALUE 0.
      ** Buffer Length
       15  MQCBC-BUFFERLENGTH PIC S9(9) BINARY VALUE 0.
      ** Flags containing information about this consumer
       15  MQCBC-FLAGS PIC S9(9) BINARY VALUE 0.
      ** Ver:1 **
      ** Number of milliseconds before reconnect attempt
       15  MQCBC-RECONNECTDELAY PIC S9(9) BINARY VALUE 0.
      ** Ver:2 **


      ******************************************************************
      **  End of CMQCBCV                                              **
      ******************************************************************
