      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQCFSLL                                    **
      **                                                              **
      **  DESCRIPTION:    MQCFSL Structure -- PCF String-List         **
      **                  Parameter                                   **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2022"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2022 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCFSL,    **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  06/06/22 18:18                                **
      ** Build Level:   p930-L220606                                  **
      ** Build Type:    Production                                    **
      ** Pointer Size:  32 Bit                                        **
      ** Source File:                                                 **
      ** CMQCFSLL                                                     **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQCFSL structure
       10  MQCFSL.
      ** Structure type
       15  MQCFSL-TYPE PIC S9(9) BINARY.
      ** Structure length
       15  MQCFSL-STRUCLENGTH PIC S9(9) BINARY.
      ** Parameter identifier
       15  MQCFSL-PARAMETER PIC S9(9) BINARY.
      ** Coded character set identifier
       15  MQCFSL-CODEDCHARSETID PIC S9(9) BINARY.
      ** Count of parameter values
       15  MQCFSL-COUNT PIC S9(9) BINARY.
      ** Length of one string
       15  MQCFSL-STRINGLENGTH PIC S9(9) BINARY.


      ******************************************************************
      **  End of CMQCFSLL                                             **
      ******************************************************************
