      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQDMPOV                                    **
      **                                                              **
      **  DESCRIPTION:    MQDMPO Structure -- Delete Message          **
      **                  Property Options                            **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2022"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2022 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQDMPO,    **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  06/06/22 18:18                                **
      ** Build Level:   p930-L220606                                  **
      ** Build Type:    Production                                    **
      ** Pointer Size:  32 Bit                                        **
      ** Source File:                                                 **
      ** CMQDMPOV                                                     **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQDMPO structure
       10  MQDMPO.
      ** Structure identifier
       15  MQDMPO-STRUCID PIC X(4) VALUE 'DMPO'.
      ** Structure version number
       15  MQDMPO-VERSION PIC S9(9) BINARY VALUE 1.
      ** Options that control the action of MQDLTMP
       15  MQDMPO-OPTIONS PIC S9(9) BINARY VALUE 0.


      ******************************************************************
      **  End of CMQDMPOV                                             **
      ******************************************************************
